View Issue Details

IDProjectCategoryView StatusLast Update
0023377mantisbtotherpublic2017-10-08 23:52
Reporterhelfy022Assigned Toatrol 
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.5.1 
Target Version2.7.0Fixed in Version2.7.0 
Summary0023377: Textarea custom field entry missing from email
Description

Hello,

Although text was entered in the text box corresponding to a custom field available on the report issue page, that text is missing from the email generated upon creation of the issue. The mantis_custom_field_table row for the custom field is as follows:

+----+---------------+------+-----------------+---------------+--------------+----------------+-----------------+------------+------------+----------------+----------------+----------------+----------------+------------------+------------------+----------------+----------------+-----------+
| id | name | type | possible_values | default_value | valid_regexp | access_level_r | access_level_rw | length_min | length_max | require_report | require_update | display_report | display_update | require_resolved | display_resolved | display_closed | require_closed | filter_by |
+----+---------------+------+-----------------+---------------+--------------+----------------+-----------------+------------+------------+----------------+----------------+----------------+----------------+------------------+------------------+----------------+----------------+-----------+
| 23 | Custom Textarea Field | 10 | | | | 10 | 10 | 0 | 0 | 0 | 0 | 1 | 1 | 0 | 0 | 0 | 0 | 1 |
+----+---------------+------+-----------------+---------------+--------------+----------------+-----------------+------------+------------+----------------+----------------+----------------+----------------+------------------+------------------+----------------+----------------+-----------+

The row in the email for the generated email shows a blank entry next to the custom field in question:

The following issue has been SUBMITTED.
...
Custom Textarea Field:

Are there other config updates necessary in order for the relevant info to be included in emails? Note that the View Issue Details page shows the proper entry for the textarea custom field.

Thanks,
Ryan.

TagsNo tags attached.

Activities

atrol

atrol

2017-09-19 16:46

developer   ~0057759

PR https://github.com/mantisbt/mantisbt/pull/1186

helfy022

helfy022

2017-09-19 18:16

reporter   ~0057760

Hi Atrol,

Many thanks for the very fast response and fix.

Two questions, please:

  • I presume that the fixes to core/custom_field_api.php will be available in an upcoming MantisBT version update (please correct me if I'm wrong). If so, do you know which version (and when) that update would be made official?
  • In the meantime, so as to prevent confusion, is it possible to suppress this custom textarea field from being enumerated in emails (so that the blank entry will just be excluded for now)?

Thanks again,
Ryan.

helfy022

helfy022

2017-09-19 18:18

reporter   ~0057761

Please disregard my question about which version, as I see you have noted 2.7.0 as the target version (I didn't see a planned release date in the roadmap - is there an ETA).

My email suppression question remains.

Thanks,
Ryan.

atrol

atrol

2017-09-20 04:52

developer   ~0057762

is there an ETA

Not really, I assume it will be first week in October.
@vboctor might comment.

is it possible to suppress this custom textarea field from being enumerated in emails

You would have to change source for it, there is no option to suppress the field.

Related Changesets

MantisBT: master 9f441314

2017-09-19 16:42:43

atrol

Details Diff
Retrieve right column when emailing custom fields of type text area

Fixes 0023377
mod - core/custom_field_api.php Diff File

Issue History

Date Modified Username Field Change
2017-09-19 14:36 helfy022 New Issue
2017-09-19 16:45 atrol Assigned To => atrol
2017-09-19 16:45 atrol Status new => assigned
2017-09-19 16:45 atrol Target Version => 2.7.0
2017-09-19 16:46 atrol Note Added: 0057759
2017-09-19 18:16 helfy022 Note Added: 0057760
2017-09-19 18:18 helfy022 Note Added: 0057761
2017-09-20 04:46 atrol Changeset attached => MantisBT master 9f441314
2017-09-20 04:46 atrol Status assigned => resolved
2017-09-20 04:46 atrol Resolution open => fixed
2017-09-20 04:46 atrol Fixed in Version => 2.7.0
2017-09-20 04:52 atrol Note Added: 0057762
2017-10-08 11:34 cproensa Summary textarea custom field entry missing from email => Textarea custom field entry missing from email
2017-10-08 23:52 vboctor Status resolved => closed